﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace F120608_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<Person> people = new List<Person>();
            Random rnd = new Random();
            for(int i = 0; i < 5; i++)
            {
                people.Add(new Person() { Name = "Name " + i.ToString(), Age = rnd.Next(20, 80) });
            }

            bindingSource1.DataSource = people;
            ultraGrid1.DataSource = bindingSource1;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            /*
             * Column.AutoEditMode = True
               Column.CellClickAction = Edit
             * */
            e.Layout.Bands[0].Columns["Age"].AutoEditMode = Infragistics.Win.DefaultableBoolean.True;
            e.Layout.Bands[0].Columns["Age"].CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.Edit;
        }
    }
}
